Bug 1197581 - gnome-documents don't recognize dark theme
Summary: gnome-documents don't recognize dark theme
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-documents
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 06:01 UTC by Carlos (Morel-Riquelme)
Modified: 2015-12-02 17:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:36:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Carlos (Morel-Riquelme) 2015-03-02 06:01:13 UTC
Description of problem:

Gnome-Documents don't recognize the dark theme of adwaita, later close documents i can't open again. 

---------------------------------------------------------------------------

Version-Release number of selected component (if applicable):

[iddnna@localhost ~]$ rpm -qa |grep -i gnome-documents
gnome-documents-3.15.90-2.fc22.x86_64
gnome-documents-libs-3.15.90-2.fc22.x86_64
[iddnna@localhost ~]$ 

----------------------------------------------------------------------------

Steps to Reproduce:
1. Use Adwaita Dark 
2. Open gnome-documents
3. See that don't recognize the dark variant
4. Close the app and try to open again

---------------------------------------------------------------------------

Terminal output:

[iddnna@localhost ~]$ gnome-documents

** (gnome-documents:3813): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(gnome-documents:3813): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
[iddnna@localhost ~]$ 

------------------------------------------------------------------------------

Screenshot:

https://iddnna.fedorapeople.org/png/Screenshot%20from%202015-03-02%2002-55-32.png

Comment 1 Fedora End Of Life 2015-11-04 13:22:53 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-12-02 09:36:54 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.